<?php

function commerce_iml_variable_group_info() {
  $groups = [];

  $groups['commerce_iml_connection_settings'] = array(
    'title' => t('Connection settings'),
    'access' => 'imlogistic connection settings',
  );
  $groups['commerce_iml_order_tokens'] = array(
    'title' => t('Order info tokens setttings'),
    'access' => 'imlogistic order tokens settings',
  );

  return $groups;
}

function commerce_iml_variable_info() {
  $variables = array();

  $variables['commerce_iml_server_api_url'] = array(
    'title' => t('Server Json API url'),
    'group' => 'commerce_iml_connection_settings',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 20,
    ),
    'default' => 'https://api.iml.ru/Json/',
    'token' => TRUE,
    'access' => 'imlogistic connection settings',
  );
  $variables['commerce_iml_server_lists_url'] = array(
    'title' => t('Server API Dictionaries Lists Url'),
    'group' => 'commerce_iml_connection_settings',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 20,
    ),
    'default' => 'https://api.iml.ru/list/',
    'token' => TRUE,
    'access' => 'imlogistic connection settings',
  );
  $variables['commerce_iml_server_timeout'] = array(
    'title' => t('Connection timeout'),
    'group' => 'commerce_iml_connection_settings',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 3,
      '#field_suffix' => t('sec'),
    ),
    'default' => 60,
    'token' => TRUE,
    'access' => 'imlogistic connection settings',
  );
  $variables['commerce_iml_server_login'] = array(
    'title' => t('Login'),
    'group' => 'commerce_iml_connection_settings',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 8,
    ),
    'token' => TRUE,
    'access' => 'imlogistic connection settings',
  );
  $variables['commerce_iml_server_password'] = array(
    'title' => t('Password'),
    'group' => 'commerce_iml_connection_settings',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 8,
    ),
    'token' => TRUE,
    'access' => 'imlogistic connection settings',
  );
  $variables['commerce_iml_server_is_test_mode'] = array(
    'title' => t('Test Mode'),
    'group' => 'commerce_iml_connection_settings',
    'element' => array(
      '#type' => 'checkbox',
    ),
    'default' => TRUE,
    'token' => TRUE,
    'access' => 'imlogistic connection settings',
  );

  $variables['commerce_iml_tokens_CustomerOrder'] = array(
    'title' => t('Order Id'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
      '#maxlength' => 256,
    ),
    'default' => '[commerce-order:order-id]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_Contact'] = array(
    'title' => t('Customer Name'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
      '#maxlength' => 256,
    ),
    'default' => '[commerce-order:commerce-customer-shipping:commerce-customer-address:name-line]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_Phone'] = array(
    'title' => t('Customer Phone'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
      '#maxlength' => 256,
    ),
    'default' => '[commerce-order:commerce-customer-shipping:field-customer-phone]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_Address'] = array(
    'title' => t('Customer Address'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
      '#maxlength' => 256,
    ),
    'default' => '[commerce-order:commerce-customer-shipping:commerce-customer-address:thoroughfare]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_RegionCodeTo'] = array(
    'title' => t('Customer City'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
      '#maxlength' => 256,
    ),
    'default' => '[commerce-order:commerce-customer-shipping:commerce-customer-address:locality]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_RegionCodeFrom'] = array(
    'title' => t('Warehouse City'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
      '#maxlength' => 256,
    ),
    'default' => '',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_Comment'] = array(
    'title' => t('Order Comment'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
      '#maxlength' => 256,
    ),
    'default' => '[commerce-order:field_order_comment]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_Amount'] = array(
    'title' => t('Amount to be collected'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
    ),
    'default' => '[commerce-order:order-payment-balance-amount-decimal]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_ValuatedAmount'] = array(
    'title' => t('Order Valuated Amount (order total)'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
    ),
    'default' => '[commerce-order:commerce-order-total:amount-decimal]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_Weight'] = array(
    'title' => t('Order Weight'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
    ),
    'default' => '1',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_Volume'] = array(
    'title' => t('Number Of Allocated spaces'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
    ),
    'default' => '1',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_DeliveryDate'] = array(
    'title' => t('Delivery date'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
    ),
    'default' => '[commerce-order:field-order-delivery-date:value:custom:d-m-Y]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_TimeFrom'] = array(
    'title' => t('Delivery Time period beginning'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
    ),
    'default' => '[commerce-order:field-order-delivery-date:value:custom:H-i]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_TimeTo'] = array(
    'title' => t('Delivery Time period end'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
    ),
    'default' => '[commerce-order:field-order-delivery-date:value2:custom:H-i]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_tokens_ServicePointExternalCode'] = array(
    'title' => t('Service point ExternalCode'),
    'description' => t('If order has non-empty code then order in considered for delivery to service point but not to customer address.'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
    ),
    'default' => '[commerce-order:commerce-customer-shipping:field-service-point:external-code]',
    'access' => 'imlogistic order tokens settings',
  );
  $variables['commerce_iml_token_BarCode'] = array(
    'title' => t('Order BarCode'),
    'description' => t('Barcode which is used to track the order.'),
    'group' => 'commerce_iml_order_tokens',
    'element' => array(
      '#type' => 'textfield',
      '#size' => 120,
    ),
    'default' => '[commerce-order:field-parcel-code]',
    'access' => 'imlogistic order tokens settings',
  );
  
  return $variables;
}
