<?php

/**
 */
class ImlApiLists {

  /**
   * @var string
   *  Well-formed server url to connect with
   */
  private $serverUrl;

  /**
   * @var string
   *  Api login.
   */
  private $login;

  /**
   * @var string
   *  Api password.
   */
  private $password;

  /**
   * @param string $server_url
   *  Server url.
   * @param string $login
   *  Api login.
   * @param string $password
   *  Api passwordl.
   */
  public function __construct($server_url, $login, $password) {
    $this->serverUrl = $server_url;
    $this->login = $login;
    $this->password = $password;
  }

  /**
   * @param string $list_name
   * @return array
   */
  public function requestList($list_name) {
    $headers = array(
      'Authorization' => "Basic " . base64_encode("{$this->login}:{$this->password}"),
      'Accept' => '*/*',
    );

    $response = drupal_http_request("{$this->serverUrl}{$list_name}", array(
      'headers' => $headers,
      'method' => 'GET',
    ));

    return empty($response->error) ? json_decode($response->data, TRUE) : array();
  }

}
